problème widget texte suite m-à-j WP version 4.8

Suite à la migration du forum, chaque utilisateur devra lancer une procédure de réinitialisation du mot de passe pour pouvoir se connecter. Merci !

  • WordPress :4.7
  • Statut : non résolu
15 sujets de 1 à 15 (sur un total de 41)
  • Auteur
    Messages
  • #1641630

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    Bonjour,

    Ma configuration WP actuelle

    Ma configuration WP actuelle :

    – Version de WordPress : 4.8
    – Version de PHP/MySQL : 7.0.19 / 10.0.31
    – Thème utilisé : Broussaille theme
    – Extensions en place : Advanced Database Cleaner (2.0.0), Akismet Anti-Spam (3.3.2), Contact Form 7 (4.8), Cookie Notice (1.2.38), Disable Google Fonts (1.3), Email Templates (1.2), Enhanced Media Library (2.4.5), Forum_wordpress_fr (4.1), Hupso Share Buttons for Twitter, Facebook & Google+ (4.1.2), Imagify (1.6.4), MaxButtons (6.19.1), Really Simple SSL (2.5.17), Responsive Lightbox (1.7.1), Simple Page Ordering (2.2.4), TinyMCE Advanced (4.6.3), WooCommerce (3.0.8), Yoast SEO (4.9)
    – Adresse du site : https://broussaillestore.fr
    – Nom de l’hébergeur : Apache

    Problème(s) rencontré(s) :

    Bonjour à tous,

    je viens de constater un problème avec mes « widgets-texte » : impossible des les ouvrir pour les régler.

    Je vous joins une image-écran (ou l’on ne voie rien…puisqu’il n’y a rien à voir…les widgets refusant avec entêtement de s’ouvrir !).

    J’ai tenté la désactivation des extensions.

    J’ai annulé et remplacé mon footer.php et mon style.css dans lesquels j’avais fait des modifs…(sait-on jamais !)

    J’ai cherché sur le web et n’ai rien trouvé à ce sujet, j’en déduis (à tort ou à raison), que ce n’est donc certainement pas un bug générique mais plutôt un truc lié à mon site….

    Mes autres widgets fonctionnent normalement.

    Je suis dans l’embarras (pour rester poli), ayant un widget qui dysfonctionne…j’aimerai pouvoir le régler….je suis donc preneur de toutes suggestions !

    Merci d’avance…

    (ps : on ne peut pas indiquer la version 4.8…dans le petit menu déroulant prévu à cet effet….)

    • Ce sujet a été modifié le il y a 1 semaine et 5 jours par  Broussaille.
    • Ce sujet a été modifié le il y a 1 semaine et 5 jours par  Broussaille.
    Fichiers joints :
    Vous devez être connecté pour voir les fichiers joints.
    #1641650

    Flobogo
    Modérateur
    Maître WordPress
    12592 contributions

    Bonjour,

    La version 4.8 apporte de nouveaux widgets (widget image, widget vidéo, widget son), et la possibilité d’utiliser un éditeur visuel/Text HTML simplifié dans le widget Texte.

    Quelques pistes pour résoudre ton souci (tu as de la chance que je ne sois plus en vacances 😀 ) :

    • désactiver ton thème, en activant à la place le thème Twenty-Sixteen provisoirement –> vérifie si le problème est résolu. Si oui, c’est un bug au niveau de ton thème (soit perso, soit le thème-parent). Si non, passe au point suivant
    • renvoyer manuellement (c’est à dire par FTP) les dossiers et fichiers de WP 4.8 vers ton hébergement, après l’avoir dézippée sur ton ordi. Il suffit de renvoyer les dossiers wp-admin + wp-includes + les 15 fichiers de base. (Inutile de renvoyer wp-content, qui en version de base ne contient que les thèmes twenty-XXXX et Aksimet, tu les as déjà)
      Peut-être que l’un des fichiers est mal passé lors de ta MAJ 😕
    • si ça ne change rien, patiente … une version 4.8.1 sortira sans doute pour corriger ce bug. Si tu n’as pas le seul à le rencontrer, ça ressortira vite au niveau de wordpress.org 😇
    • Pour finir, tu peux « tout bêtement » supprimer ces widgets récalcitrants, et les re-créer. 🙂
    #1641653

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    Bonsoir Flobogo,

    ben oui en fait ce n’est pas plus mal que tu prennes tes vacance n’importe quand 😀

    Bon merci pour la réponse.

    J’ai déjà testé :

    • le renvoi des dossiers (sur un site-clone) ce qui n’a strictement rien changé à l’affaire…
    • suppression des widgets, les nouveaux font la même chose…sniff…snifff…

    Je vais donc tenter la désactivation de thème et prendre mon mal en patience…

    Bonne fin de soirée…et pas trop de forum…

    #1641861

    Flobogo
    Modérateur
    Maître WordPress
    12592 contributions

    salut,

    Alors, si tu as désactivé ton thème (et activé un thème du genre Twenty-XX), est-ce que ça change quelque chose ?

    #1641906

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    Hello,

    et bien oui j’ai désactivé mon thème et activé Twenty-XXX et effectivement les widgets fonctionnaient de nouveau normalement.

    Par contre impossible de revenir « à la normale » avec mon thème, même après suppression des modifications que j’avais fait sur le footer (ajout d’un code pour une ancre) et le style css (ajout de la fonctionnalité « flex » sur un widget texte et les h1—->h6).

    Alors je pense que la fonctionnalité « flex » à mis le dawa sur mes widgets, ce que je ne comprends pas c’est pourquoi une fois virée ( et style.css remis « à neuf ») les widgets continuaient à bugger…(cache vidé)…

    pour régler le problème j’ai demandé une restauration à O2switch sur mes 2 sites (officiel et clone) et tout refonctionne impec’…mais du coup j’hésite un peu avant de remettre en WP 4.8, parce qu’il me semble que mes modifs fonctionnaient avec la version 4.7…

    Je crois que je vais attendre un peu, voir s’il y a des retours…

    #1641920

    Flobogo
    Modérateur
    Maître WordPress
    12592 contributions

    il me semble que mes modifs fonctionnaient avec la version 4.7

    –> ben, puisque tu as fait la restauration, tu es revenu en 4.7 ? Alors, vérifie 😉

    Si tu as un « clone » du site, c’est pour faire des tests ? Sinon, tu peux aussi installer une copie locale de ton site, (avec WAMP pour Windows ou MAMP si tu as un Mac) et tester la 4.8 en local … avec tes widgets.

    #1641954

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    Ouais j’y ai bien pensé mais je n’ai pas envie de tout replanter.

    Les gars de O2switch sont très réactifs…mais si tous les jours je les interpelle pour qu’il me restaure un site….

    Je vais tester en local….

    Bon, vu que mon site en local n’est plus du tout le même que mon site en ligne j’ai testé sur mon clone et effectivement, en version 4.7.5, mes modifications fonctionnent sans aucun soucis et les widgets texte aussi.

    Il y aurait donc bien incompatibilité  entre les nouveaux widgets texte et la fonction flex ….?, (à priori, l’exception ne faisant pas la règle, reste à voir si d’autres auront ce problème, mais je vais le signaler.)

    Je vais donc bien rester en version 4.7.5 pour le moment…

    Et tester mes widgets avec la version 4.8 en local…..y’a du taf !

    #1641998

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    Bon je continue les tests et me demande si les nouveaux widgets text n’auraient pas un souci avec les thèmes enfants….

    #1642188

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    …dernières nouvelles des étoiles…

    bon les « widgets text – new generation » sont capricieux….

    #1642249

    Flobogo
    Modérateur
    Maître WordPress
    12592 contributions

    Vite fait : « on » recommande d’attendre un peu avant d’installer (surtout en ligne) les nouvelles versions majeures de WP, car souvent, il y a quelques petits bugs que de braves développeurs découvrent et corrigent après quelques semaines d’utilisation. Donc, bien souvent, une version mineure suit rapidement la sortie d’une version majeure pour la corriger.

    Attention, ce que je dis là concerne bien les versions majeures (gros changements), alors qu’à l’inverse, les versions mineures doivent être installées rapidement, car elles contiennent généralement des correctifs de sécurité
    (du coup, le terme « mineures » laisse croire qu’elles ne sont pas importantes, mais en fait, si …Voili, voulou…)

    #1642275

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    oui…oui…oui…

    #1642688

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    Hi !

    bon il y a bien « un petit souci » avec ces nouveaux « widgets text », en tous cas son en parle….

    Perso, j’attends des nouvelles du support…

    #1642713

    Flobogo
    Modérateur
    Maître WordPress
    12592 contributions

    salut,

    Tu as vu où que « on » en parle ?

    Ça m’intéresse, parce que j’ai des widgets texte sur mon site, et vu ton message, je ne suis pas passée en 4.8

    #1642717

    Broussaille
    Participant
    Chevalier WordPress
    115 contributions

    là !

    sinon (sans blaguer) ici :

    4-8-update-text-widget-problem

    et là :

    https://www.blogaid.net/wordpress-4-8-text-widget-meltdown/

    en gros cela pose un problème de code qui part en vrille, d’impossibilité de réglage du widget…

    bon tu comprends certainement mieux l’anglais que moi…

    Ceci-dit, étonnamment, j’avais trouvé d’autre références qui parlaient des problèmes de ce « new widget text », mais impossible de les retrouver….serais-ce une manœuvre du grand complot international ?

     

    #1642867

    Flobogo
    Modérateur
    Maître WordPress
    12592 contributions

    Non, je ne comprends pas l’anglais parlé (donc, pas en vidéo). Par contre, je me débrouille +/- à l’écrit, et ça, je comprends :

    If you haven’t updated to WordPress 4.8 yet, don’t.

    Donc, merci de l’info 🙂

    Bizarre quand même que tu sois le seul à avoir ce souci sur le forum francophone.

    Par ailleurs, je crois comprendre que c’est lié à ton thème (-enfant), et qu’avec un thème par défaut, tu n’as pas ce problème. Ce serait donc lié à la méthode utilisée pour déclarr les widgets ?

    Bon, j’attendrais d’en savoir plus … en français 😉

15 sujets de 1 à 15 (sur un total de 41)
  • Vous devez être connecté pour répondre à ce sujet.